
   
   
  BESTSERV DOCUMENTATION - HELP FILE FOR MODERATORS
  
   
   
  (I) SYNOPSIS OF BESTSERV LIST ALIASES
   
       listname - post to the list
       listname-response - authentication responses sent here
       listname-request - send subscribe/unsubscribe/etc...
       listname-command - send moderator command requests
       listname-errors - (error return for bounces, invisible)
       listname-owner - send mail to the moderator of the list
       
       
       bestserv-owner - moderator of the whole mailing list manager
       bestserv-errors - (error return for bounces, invisible)
       
       As a moderator, you normally send commands to
       listname-command@hostname. If your mailing list was called,
       'test', the address would be test-command@ lists.best.com.
       Depending on how your configuration is set up, the list manager
       may verify your requests by sending a verification to one of the
       listed moderators in your configuration file. If the list manager
       cannot determine what address you are emailing from, it will send
       such authentication requests to the first moderator address in
       your configuration file.
       
       As a moderator, you have the option of bypassing this security
       mechanism by specifying an 'Approved: PASSWORD' header in, or the
       first line of the body of your message can be 'Approved:
       PASSWORD', where PASSWORD is your password. If you used Approved:
       as the first line of the body of the article, make sure you put a
       blank line between it and the actual body of the article. This
       only works if a password is configured in your configuration file.
       By default, no password is configured. In the case where you
       specify a valid password, the list manager will execute the set of
       commands without any additional authentication.
       
       Previously, you could put a password in your Subject: line. this
       mechanism is now obsolete and will be shortly removed.
       
       You should place moderator commands, one per line, in the body of
       the message you intend to email to listname-command@hostname. The
       setconfig also requires you to follow the command with your
       configuration file, which must be formatted as shown down below.
       
   
   
  (II) MODERATOR POSTINGS
   
       
       As a moderator, you have two choices when it comes to approving
       postings to a moderated list. When a user posts to a moderated
       list, and after his posting has been authenticated (assuming you
       have that feature enabled), the moderator will receive an
       authentication request for the posting.
       
       (1) To simply approve a posting without exercising any editorial
       control, you simply reply to the authentication request as per
       normal, setting the REJECT to ACCEPT.
       
       (2) To exercise editorial control, simply ignore the
       authentication request and construct your own posting out of the
       contents of the authentication request and your own editing.
       
       When posting a message as the moderator, you can override the
       From: and Subject: headers by specifying your own, usually after
       your Approved: header. Note the blank line between the real
       headers and your Approved/Subject/From headers:

        To: test@lists1.best.com
        Subject:

        Approved: mypassword
        Subject: subject-to-use
        From: from-line-to-use

        Remainder is the body of the message


   
   
  (III) MODERATOR COMMANDS
   
       
       subscribe [ email-address ] - subscribe the address in the From:
       header unless an email address is specified. The address is added
       to the DIGEST list. That is, by default, a subscribe adds you to a
       digest (unless the list moderator has set the noDigestOnly
       configuration flag).
       
       subsingle [ email-address ] - Similar to subscribe, but the
       address is flagged for per-message distribution. That is, NOT a
       digest.
       
       alias [ email-address ] - This works like subscribe but no
       postings will ever be sent to this address. It allows users to
       post from multiple accounts while receiving the list on only one
       account.
       
       unsubscribe [ email-address ] - Delete yourself or someone else
       from the list.
       
       getconfig - Retrieve the configuration file for this list.
       
       setconfig - Upload a new configuration file for this list. The
       server copies all data between the following BEGIN CONFIG line and
       a terminating END CONFIG line, then continues executing commands
       that may follow after that.
       
       You can put extra text after the 'BEGIN CONFIG'. Usually you put
       your listname in there, as in 'BEGIN CONFIG canned-meats', but the
       list server does not check or care... it's just useful to keep
       things straight for people managing multiple lists.
       
       getinfo - Retrieve the information file for this list.
       
       setinfo - Upload a new information file for this list. The server
       copies all data between the following BEGIN INFO line and a
       terminating END INFO line, then continues executing command that
       may follow after that. The information file, if it exists, is
       tacked onto subscription acknowledgements and information requests
       along with any 'infoXXX' configuration lines.
       
       rundigest - This command forces a digest to be generated, assuming
       messages have accumulated.
       
       setdigestvol volume-number - This command may be used to set the
       volume number for the next digest.
       
       setdigestno digest-number - This command may be used to set the
       digest number for the next digest. The digest number is
       incremented for each digest that is generated.
       
       getlist - This command retrieves the entire subscription list for
       your list.

       getdisabled - This command retrieves only the portion of the 
       subscription list which has the 'x' flag set.  This flag is
       set by automated error-processing software to disable email 
       addresses that have failed.
       
       end - Terminate command processing, usually so your signature is
       not accidently interpreted as a command.
       
   
   
  (X) EXAMPLE CONFIGURATION FILE
   
       
       The following example configuration file covers all the available
       configuration parameters supported by BestServ.

BEGIN CONFIG
# 'test' list configuration and default template
# NOTE!!! THE 'BEGIN CONFIG' and 'END CONFIG' LINES ARE IMPORTANT!  DO
# NOT LEAVE THEM OUT!
#
# You may specify any number of moderators.  If no password is assigned
# to the list, only email from the moderators is accepted for major
# configuration commands.
#
# When email is sent from a moderator with no PASSWORD key in the Subject
# line, BestWWWD will attempt to match that moderator's From: header against
# the list of moderators.  If it is able to match the email address, it will
# respond to that address. If it is not able to match the email address, it
# will respond to the 'moderator1' address.
#
# When email is sent WITH a PASSWORD key, BestServ responds to the
# originator of the email whether or not he appears in a moderator line.
#
moderator1      dillon@blob.best.net
moderator2      dillon@best.net

# If you assign a password, you may execute moderator commands from
# random addresses outside of the 'moderatorXXX' list.  If you do not
# assign a password, you may only execute moderator commands from a
# valid moderatorXXX source.
#
password                        # a password or blank

# digestOnly forces all subscriptions to be distributed via Digest only
# noDigestOnly forces all subscriptions to be distributed NOT as a digest
# you cannot set both of these flags to 'Y'
#
digestOnly      N               # Y, N
noDigestOnly    N               # Y, N (exclusive of digetOnly)

# administrivia
#
# This catches messages posted to the list that look like commands and
# forwards them to the moderator.  Any message with 'info', 'subscribe',
# or 'unsubscribe' in the first four lines of the body, AND if the entire
# body of the message does not exceed 15 lines, AND if the message was not
# sent from a moderator address.. THEN the message is forwarded to the
# moderator rather then posted to the list.
#
administrivia   Y               # Y, N

# command/request/post reception policies:
#
#   features marked FUTURE are not yet implemented
#
#   We suggest a minimum of 'A' for all policies.
#
#   A       authenticate with originator
#   R       authenticate with recipient (usually used with subscribe)
#   S       must be subscribed to list (must be moderator for commandPolicy)
#   AS      must be subscribed to list AND authenticate w/ source
#   AR      authenticate with originator and recipient (used for subscribe)
#   L	    originator must have domain with suffix of localDomain
#   X	    authenticate with originator if not subscribed (post policy)
#   Y	    allow postings with NNTP-Posting-Host headers through even if not subscribed
#	    (only applies if X is also specified) (post policy)

reqPolicy       -               # general commands other then subscribe/unsub
subPolicy       AR              # subscription commands
unsubPolicy     -               # unsubscribe command
postPolicy      XY              # posts

# command/request/post moderation policies:
#
#   N       no moderation, execute function   (automatic without notification)
#   C       execute function and CC moderator (automatic with notification)
#   Y       hold function, pass authorization request to moderator

reqModeration   C               # miscellanious request moderation
subModeration   C               # subscription commands moderation
unsubModeration C               # unsubscribe moderation
postModeration  Y               # moderation when making postings

# Resource limits
#
# m - megabytes         h - hours
# k - kilobytes         d - days
#

maxMsgSize      100k            # maximum message size per posting
maxDigestSize   50k             # approximate digest size before doing a run
maxDigestMsgs   10              # max # of messages before doing a run
minDigestPoll   1d              # minimum flush rate (4 hours)

maxMsgsDay      100             # (FUTURE)
maxBytesDay     100000          # (FUTURE)

# Misc. configuration commands
#
# subjectPrefix - specify a prefix for the Subject: that is placed in all
#                 non-digest postings.
#
# replyTo - specify the Reply-To: header for postings made to the list

subjectPrefix   non-digest-subject-prefix-goes-here
replyTo         reply-to-header-goes-here

# errorsCC      - either the phrase 'moderator' or an email address.  If
#                 'moderator', then errors are sent to the primary moderator
#                 only.
#
errorsCC        email-address-to-cc-errors-to

# headerWhere   - set to 'before' or 'after'... do you want the header to
#               appear before the index or after?  Default is after the
#               index.
#

headerWhere     after

# Digest headers and footers.  You may specify as many as you like
#
# These apply ONLY TO DIGESTS

header1 Test Header line 1
header2 Test Header line 2
header3
header4
header5
header6
header7
header8
header9

footer1 Test Footer line 1
footer2 Test Footer line 2
footer3
footer4
footer5
footer6
footer7
footer8
footer9

# Non-Digest headers and footers
#
# These apply ONLY TO SINGLE POSTINGS (i.e. non-digests)

headerSing1 Test Header line 1
headerSing2 Test Header line 2
headerSing3

footerSing1 Test Footer line 1
footerSing2 Test Footer line 2
footerSing3

# If you do not like the default message returned by the list manager under
# a particular set of circumstances, fill in the following.  If you leave
# them blank, the list manager will supply a default.  This has no effect
# on the responses the list manager makes to -command messages, only -request
# messages.
#
# The message returned if you attempt to post to the list and are not
# subscribed.
msgNotSub1
msgNotSub2
msgNotSub3

# The message returned when the list server needs to authenticate a
# request or posting with the originator (ACCEPT/REJECT).  NOTE: only
# used for unapproved -request alias commands, does not effect
# responses to -moderator alias commands.
#
msgVerify1
msgVerify2
msgVerify3

# Third party subscribes - the message sent to person B's email address
# when person A attempts to subscribe person B.
#

msgTPSub1
msgTPSub2
msgTPSub3

# information returned by 'info' request to list
#

info1   This is a test list
info2
info3

END CONFIG
