
/*
 * ERRORLIST.C
 *
 * generate list of bad addresses given mailbox full of errors.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <sys/file.h>

#define ST_PERMFATAL 	1

int
main(int ac, char **av)
{
    char buf[1024];
    int skipFrom = 1;
    int state = 0;

    while (fgets(buf, sizeof(buf), stdin) != NULL) {
	if (strncmp(buf, "From ", 5) == 0) {
	    state = 0;
	    skipFrom = 0;
	    fprintf(stderr, "%s", buf);
	} else if (skipFrom == 1) {
	    continue;
	}
	if (strstr(buf, "Original message follow")) {
	    skipFrom = 1;
	    continue;
	}
	switch(state) {
	case 0:
	    if (strstr(buf, "had permanent fatal errors --") != NULL) {
		state = ST_PERMFATAL;
	    }
	    break;
	case ST_PERMFATAL:
	    if (strstr(buf, "----") != NULL || buf[0] == '\n') {
		state = 0;
		continue;
	    }
	    if (strstr(buf, "expanded from:") != NULL) {
		char *ptr = strchr(buf, '<');

		*buf = 0;
		if (ptr) {
		    int i;
		    ++ptr;
		    for (i = 0; ptr[i] && ptr[i] != '>'; ++i)
			;
		    strcpy(ptr + i, "\n");
		    ptr[i] = 0;
		    fputs(ptr, stdout);
		}
	    }
	    fputs(buf, stdout);
	    break;
	default:
	    state = 0;
	    break;
	}
    }
    return(0);
}

