
/*
 * MKPROTO.C
 *
 * MKPROTO [-o outfile] infiles...
 */

#include <stdio.h>
#include <string.h>

int
main(int ac, char **av)
{
    int i;
    int r = 0;
    FILE *fo = stdout;

    for (i = 1; i < ac; ++i) {
	char *ptr = av[i];

	if (*ptr == '-') {
	    ptr += 2;

	    switch(ptr[-1]) {
	    case 'o':
		{
		    char *oname = (*ptr) ? ptr : av[++i];
		    if (oname == NULL || freopen(oname, "w", stdout) == NULL) {
			fprintf(stderr, "could not create %s\n", oname);
			exit(1);
		    }
		}
		break;
	    default:
		fprintf(stderr, "illegal option: %s\n", ptr - 2);
		/* fall through */
	    case 'h':
		fprintf(stderr, "mkproto [-o outfile] sourcefiles...\n");
		exit(1);
	    }
	} else {
	    FILE *fi = fopen(ptr, "r");

	    if (fi) {
		char buf[1024];

		while (fgets(buf, sizeof(buf), fi) != NULL) {
		    if (strstr(buf, "Prototype") != NULL)
			fputs(buf, fo);
		}
		fclose(fi);
	    } else {
		fprintf(stderr, "Unable to open %s\n", ptr);
		r = 1;
	    }
	}
    }
    fclose(fo);
    return(r);
}

